<template>
  <div class="grid grid-cols-7 px-8 pt-6 pb-10">
    <div class="col-span-2">
      <h4 class="text-xs">Status</h4>
      <div class="relative">
        <div v-if="data.status" class="stamp-rotate select-none pointer-events-none transform rounded-full border border-[6px] border-status-complete text-status-complete w-14 h-14 flex items-center justify-center font-black text-3xl absolute right-12 top-2 origin-center rotate-[30deg] z-50 animate-pulse">
          完
        </div>
      <h3 class="uppercase font-black text-3xl relative">{{ status ?? 'Ø' }}</h3>
      </div>
    </div>
    <div>
      <h4 class="text-xs">Volumes</h4>
      <h3 class="uppercase font-black text-3xl">{{data.volumes ?? 'Ø'}}</h3>
    </div>
    <div>
      <h4 class="text-xs">Last chapter</h4>
      <h3 class="uppercase font-black text-3xl">{{data.chapters ?? 'Ø'}}</h3>
    </div>
    <div>
      <h4 class="text-xs">Release date</h4>
      <h3 class="uppercase font-black text-3xl">{{data.releaseDate ?? 'Ø'}}</h3>
    </div>
    <div class="col-span-2 flex items-center justify-center">
      <button v-if="$store.auth" @click="$emit('addToLibrary')" class="favorite-button"> {{ data.library ?'Remove' : 'Add to library' }}
        <div class="icon">
          <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" :fill="data.library ? '#FFC000':'none'" :stroke="data.library ? '#FFC000':'black'" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-star"><polygon points="12 2 15.09 8.26 22 9.27 17 14.14 18.18 21.02 12 17.77 5.82 21.02 7 14.14 2 9.27 8.91 8.26 12 2"></polygon></svg>
        </div>
      </button>
      <button v-else @click="goToLogin" class="flex px-6 justify-center bg-[#A370F0] rounded-[0.9em] text-white font-bold py-3 rounded-lg">
        Log in to save it
      </button>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Detail',
  props:{
    data: {
      type: Object,
      required: true
    }
  },
  methods:{
    goToLogin() { this.$router.push({path:'/login'})}
  },
  computed:{
    status(){
      return {'-1': 'Canceled', 0: 'Ongoing', 1: 'Complete !'}[this.data.status]
    }
  }
}

</script>